Subject: [clisp-list] 2.32 compile problem on solaris

From: Russell McManus <[email-masked]>
Date: Thu Feb 26 09:05:00 2004

I wonder whether some header file is #define'ing open.  Any ideas on
how to hack around this one?

I tried putting

#undef open
#undef truncate
#undef ftruncate

in spvwtabs.d, which seemed to get the file to compile, but then I got
a link error.

uname -a returns:

SunOS hqsas246 5.8 Generic_108528-19 sun4u sparc SUNW,Ultra-80

-russ

hqsas246 /u/russe/compile/clisp-2.32/with-gcc-solaris 11$ gmake
test -d bindings || mkdir -p bindings
gcc -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type  -Wno-sign-compare -O2 -fno-schedule-insns -fno-gcse -DUNIX_BINARY_DISTRIB -DUNICODE -DDYNAMIC_FFI -DDYNAMIC_MODULES -DNO_GETTEXT -DNO_SIGSEGV -I. -c spvwtabs.c
In file included from spvwtabs.d:7:
lispbibl.d:790: warning: call-clobbered register used for global register variable
In file included from spvwtabs.d:7:
lispbibl.d:7384: warning: volatile register variables don't work as you might wish
lispbibl.d:7506: warning: register used for two global register variables
In file included from spvwtabs.d:7:
lispbibl.d:9588: warning: register used for two global register variables
lispbibl.d:9606: warning: register used for two global register variables
lispbibl.d:9772: warning: register used for two global register variables
In file included from spvwtabs.d:25:
constsym.d:623: structure has no member named `S_open64'
constsym.d:623: initializer element is not constant
constsym.d:623: (near initialization for `symbol_tab_data.S_open.GCself')
constsym.d:1011: structure has no member named `S_truncate64'
constsym.d:1011: initializer element is not constant
constsym.d:1011: (near initialization for `symbol_tab_data.S_truncate.GCself')
constsym.d:1017: structure has no member named `S_ftruncate64'
constsym.d:1017: initializer element is not constant
constsym.d:1017: (near initialization for `symbol_tab_data.S_ftruncate.GCself')
gmake: *** [spvwtabs.o] Error 1